Skip to main content

Sync Checkpoints To S3

Required role: write or higher.

Syncs latest checkpoints to the object store configured in pipeline config.

Path Parameters
pipeline_name string — REQUIRED

Unique pipeline name

Responses
202

Checkpoint sync to object store initiated

Schema — OPTIONAL
checkpoint_uuid uuid
incarnation_uuid uuid — OPTIONAL

Pass back to /checkpoint/sync_status to detect pipeline restarts.

Only None if sent by an older pipeline.

404

No checkpoints found

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.